import * as $dara from '@darabonba/typescript';
import { DescribeStrategyTargetResponseBody } from "./DescribeStrategyTargetResponseBody";
export declare class DescribeStrategyTargetResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeStrategyTargetResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
